/* proto.tmp */
void AT91F_PDC_SetNextRx(AT91PS_PDC pPDC, char *address, unsigned int bytes);
void AT91F_PDC_SetNextTx(AT91PS_PDC pPDC, char *address, unsigned int bytes);
void AT91F_PDC_SetRx(AT91PS_PDC pPDC, char *address, unsigned int bytes);
void AT91F_PDC_SetTx(AT91PS_PDC pPDC, char *address, unsigned int bytes);
void AT91F_PDC_EnableTx(AT91PS_PDC pPDC);
void AT91F_PDC_EnableRx(AT91PS_PDC pPDC);
void AT91F_PDC_DisableTx(AT91PS_PDC pPDC);
void AT91F_PDC_DisableRx(AT91PS_PDC pPDC);
int AT91F_PDC_IsTxEmpty(AT91PS_PDC pPDC);
int AT91F_PDC_IsNextTxEmpty(AT91PS_PDC pPDC);
int AT91F_PDC_IsRxEmpty(AT91PS_PDC pPDC);
int AT91F_PDC_IsNextRxEmpty(AT91PS_PDC pPDC);
void AT91F_PDC_Open(AT91PS_PDC pPDC);
void AT91F_PDC_Close(AT91PS_PDC pPDC);
unsigned int AT91F_PDC_SendFrame(AT91PS_PDC pPDC, char *pBuffer, unsigned int szBuffer, char *pNextBuffer, unsigned int szNextBuffer);
unsigned int AT91F_PDC_ReceiveFrame(AT91PS_PDC pPDC, char *pBuffer, unsigned int szBuffer, char *pNextBuffer, unsigned int szNextBuffer);
void AT91F_DBGU_InterruptEnable(AT91PS_DBGU pDbgu, unsigned int flag);
void AT91F_DBGU_InterruptDisable(AT91PS_DBGU pDbgu, unsigned int flag);
unsigned int AT91F_DBGU_GetInterruptMaskStatus(AT91PS_DBGU pDbgu);
int AT91F_DBGU_IsInterruptMasked(AT91PS_DBGU pDbgu, unsigned int flag);
void AT91F_RTC_InterruptEnable(AT91PS_RTC pRtc, unsigned int flag);
void AT91F_RTC_InterruptDisable(AT91PS_RTC pRtc, unsigned int flag);
unsigned int AT91F_RTC_GetInterruptMaskStatus(AT91PS_RTC pRtc);
int AT91F_RTC_IsInterruptMasked(AT91PS_RTC pRtc, unsigned int flag);
void AT91F_SSC_SetBaudrate(AT91PS_SSC pSSC, unsigned int mainClock, unsigned int speed);
void AT91F_SSC_Configure(AT91PS_SSC pSSC, unsigned int syst_clock, unsigned int baud_rate, unsigned int clock_rx, unsigned int mode_rx, unsigned int clock_tx, unsigned int mode_tx);
void AT91F_SSC_EnableRx(AT91PS_SSC pSSC);
void AT91F_SSC_DisableRx(AT91PS_SSC pSSC);
void AT91F_SSC_EnableTx(AT91PS_SSC pSSC);
void AT91F_SSC_DisableTx(AT91PS_SSC pSSC);
void AT91F_SSC_EnableIt(AT91PS_SSC pSSC, unsigned int flag);
void AT91F_SSC_DisableIt(AT91PS_SSC pSSC, unsigned int flag);
unsigned int AT91F_SSC_ReceiveFrame(AT91PS_SSC pSSC, char *pBuffer, unsigned int szBuffer, char *pNextBuffer, unsigned int szNextBuffer);
unsigned int AT91F_SSC_SendFrame(AT91PS_SSC pSSC, char *pBuffer, unsigned int szBuffer, char *pNextBuffer, unsigned int szNextBuffer);
unsigned int AT91F_SSC_GetInterruptMaskStatus(AT91PS_SSC pSsc);
int AT91F_SSC_IsInterruptMasked(AT91PS_SSC pSsc, unsigned int flag);
unsigned int AT91F_SPI_Open(const unsigned int null);
void AT91F_SPI_CfgCs(int cs, int val);
void AT91F_SPI_EnableIt(AT91PS_SPI pSPI, unsigned int flag);
void AT91F_SPI_DisableIt(AT91PS_SPI pSPI, unsigned int flag);
void AT91F_SPI_Reset(AT91PS_SPI pSPI);
void AT91F_SPI_Enable(AT91PS_SPI pSPI);
void AT91F_SPI_Disable(AT91PS_SPI pSPI);
void AT91F_SPI_CfgMode(AT91PS_SPI pSPI, int mode);
void AT91F_SPI_CfgPCS(AT91PS_SPI pSPI, char PCS_Device);
unsigned int AT91F_SPI_ReceiveFrame(AT91PS_SPI pSPI, char *pBuffer, unsigned int szBuffer, char *pNextBuffer, unsigned int szNextBuffer);
unsigned int AT91F_SPI_SendFrame(AT91PS_SPI pSPI, char *pBuffer, unsigned int szBuffer, char *pNextBuffer, unsigned int szNextBuffer);
void AT91F_SPI_Close(AT91PS_SPI pSPI);
void AT91F_SPI_PutChar(AT91PS_SPI pSPI, unsigned int character, unsigned int cs_number);
int AT91F_SPI_GetChar(const AT91PS_SPI pSPI);
unsigned int AT91F_SPI_GetInterruptMaskStatus(AT91PS_SPI pSpi);
int AT91F_SPI_IsInterruptMasked(AT91PS_SPI pSpi, unsigned int flag);
void AT91F_TC_InterruptEnable(AT91PS_TC pTc, unsigned int flag);
void AT91F_TC_InterruptDisable(AT91PS_TC pTc, unsigned int flag);
unsigned int AT91F_TC_GetInterruptMaskStatus(AT91PS_TC pTc);
int AT91F_TC_IsInterruptMasked(AT91PS_TC pTc, unsigned int flag);
unsigned int AT91F_CKGR_GetMainClock(AT91PS_CKGR pCKGR, unsigned int slowClock);
unsigned int AT91F_PMC_GetProcessorClock(AT91PS_PMC pPMC, AT91PS_CKGR pCKGR, unsigned int slowClock);
unsigned int AT91F_PMC_GetMasterClock(AT91PS_PMC pPMC, AT91PS_CKGR pCKGR, unsigned int slowClock);
void AT91F_PMC_EnablePeriphClock(AT91PS_PMC pPMC, unsigned int periphIds);
void AT91F_PMC_DisablePeriphClock(AT91PS_PMC pPMC, unsigned int periphIds);
void AT91F_PMC_EnablePCK(AT91PS_PMC pPMC, unsigned int pck, unsigned int ccs, unsigned int pres);
void AT91F_PMC_DisablePCK(AT91PS_PMC pPMC, unsigned int pck);
void AT91F_PIO_CfgPeriph(AT91PS_PIO pPio, unsigned int periphAEnable, unsigned int periphBEnable);
void AT91F_PIO_CfgOutput(AT91PS_PIO pPio, unsigned int pioEnable);
void AT91F_PIO_CfgInput(AT91PS_PIO pPio, unsigned int inputEnable);
void AT91F_PIO_CfgOpendrain(AT91PS_PIO pPio, unsigned int multiDrvEnable);
void AT91F_PIO_CfgPullup(AT91PS_PIO pPio, unsigned int pullupEnable);
void AT91F_PIO_CfgDirectDrive(AT91PS_PIO pPio, unsigned int directDrive);
void AT91F_PIO_CfgInputFilter(AT91PS_PIO pPio, unsigned int inputFilter);
unsigned int AT91F_PIO_GetInput(AT91PS_PIO pPio);
int AT91F_PIO_IsInputSet(AT91PS_PIO pPio, unsigned int flag);
void AT91F_PIO_SetOutput(AT91PS_PIO pPio, unsigned int flag);
void AT91F_PIO_ClearOutput(AT91PS_PIO pPio, unsigned int flag);
void AT91F_PIO_ForceOutput(AT91PS_PIO pPio, unsigned int flag);
void AT91F_PIO_Enable(AT91PS_PIO pPio, unsigned int flag);
void AT91F_PIO_Disable(AT91PS_PIO pPio, unsigned int flag);
unsigned int AT91F_PIO_GetStatus(AT91PS_PIO pPio);
int AT91F_PIO_IsSet(AT91PS_PIO pPio, unsigned int flag);
void AT91F_PIO_OutputEnable(AT91PS_PIO pPio, unsigned int flag);
void AT91F_PIO_OutputDisable(AT91PS_PIO pPio, unsigned int flag);
unsigned int AT91F_PIO_GetOutputStatus(AT91PS_PIO pPio);
int AT91F_PIO_IsOutputSet(AT91PS_PIO pPio, unsigned int flag);
void AT91F_PIO_InputFilterEnable(AT91PS_PIO pPio, unsigned int flag);
void AT91F_PIO_InputFilterDisable(AT91PS_PIO pPio, unsigned int flag);
unsigned int AT91F_PIO_GetInputFilterStatus(AT91PS_PIO pPio);
int AT91F_PIO_IsInputFilterSet(AT91PS_PIO pPio, unsigned int flag);
unsigned int AT91F_PIO_GetOutputDataStatus(AT91PS_PIO pPio);
void AT91F_PIO_InterruptEnable(AT91PS_PIO pPio, unsigned int flag);
void AT91F_PIO_InterruptDisable(AT91PS_PIO pPio, unsigned int flag);
unsigned int AT91F_PIO_GetInterruptMaskStatus(AT91PS_PIO pPio);
unsigned int AT91F_PIO_GetInterruptStatus(AT91PS_PIO pPio);
int AT91F_PIO_IsInterruptMasked(AT91PS_PIO pPio, unsigned int flag);
int AT91F_PIO_IsInterruptSet(AT91PS_PIO pPio, unsigned int flag);
void AT91F_PIO_MultiDriverEnable(AT91PS_PIO pPio, unsigned int flag);
void AT91F_PIO_MultiDriverDisable(AT91PS_PIO pPio, unsigned int flag);
unsigned int AT91F_PIO_GetMultiDriverStatus(AT91PS_PIO pPio);
int AT91F_PIO_IsMultiDriverSet(AT91PS_PIO pPio, unsigned int flag);
void AT91F_PIO_A_RegisterSelection(AT91PS_PIO pPio, unsigned int flag);
void AT91F_PIO_B_RegisterSelection(AT91PS_PIO pPio, unsigned int flag);
unsigned int AT91F_PIO_Get_AB_RegisterStatus(AT91PS_PIO pPio);
int AT91F_PIO_IsAB_RegisterSet(AT91PS_PIO pPio, unsigned int flag);
void AT91F_PIO_OutputWriteEnable(AT91PS_PIO pPio, unsigned int flag);
void AT91F_PIO_OutputWriteDisable(AT91PS_PIO pPio, unsigned int flag);
unsigned int AT91F_PIO_GetOutputWriteStatus(AT91PS_PIO pPio);
int AT91F_PIO_IsOutputWriteSet(AT91PS_PIO pPio, unsigned int flag);
unsigned int AT91F_PIO_GetCfgPullup(AT91PS_PIO pPio);
int AT91F_PIO_IsOutputDataStatusSet(AT91PS_PIO pPio, unsigned int flag);
int AT91F_PIO_IsCfgPullupStatusSet(AT91PS_PIO pPio, unsigned int flag);
void AT91F_TWI_EnableIt(AT91PS_TWI pTWI, unsigned int flag);
void AT91F_TWI_DisableIt(AT91PS_TWI pTWI, unsigned int flag);
void AT91F_TWI_Configure(AT91PS_TWI pTWI);
unsigned int AT91F_TWI_GetInterruptMaskStatus(AT91PS_TWI pTwi);
int AT91F_TWI_IsInterruptMasked(AT91PS_TWI pTwi, unsigned int flag);
unsigned int AT91F_US_Baudrate(const unsigned int main_clock, const unsigned int baud_rate);
void AT91F_US_SetBaudrate(AT91PS_USART pUSART, unsigned int mainClock, unsigned int speed);
void AT91F_US_SetTimeguard(AT91PS_USART pUSART, unsigned int timeguard);
void AT91F_US_EnableIt(AT91PS_USART pUSART, unsigned int flag);
void AT91F_US_DisableIt(AT91PS_USART pUSART, unsigned int flag);
void AT91F_US_Configure(AT91PS_USART pUSART, unsigned int mainClock, unsigned int mode, unsigned int baudRate, unsigned int timeguard);
void AT91F_US_EnableRx(AT91PS_USART pUSART);
void AT91F_US_EnableTx(AT91PS_USART pUSART);
void AT91F_US_ResetRx(AT91PS_USART pUSART);
void AT91F_US_ResetTx(AT91PS_USART pUSART);
void AT91F_US_DisableRx(AT91PS_USART pUSART);
void AT91F_US_DisableTx(AT91PS_USART pUSART);
void AT91F_US_Close(AT91PS_USART pUSART);
unsigned int AT91F_US_TxReady(AT91PS_USART pUSART);
unsigned int AT91F_US_RxReady(AT91PS_USART pUSART);
unsigned int AT91F_US_Error(AT91PS_USART pUSART);
void AT91F_US_PutChar(AT91PS_USART pUSART, int character);
int AT91F_US_GetChar(const AT91PS_USART pUSART);
unsigned int AT91F_US_SendFrame(AT91PS_USART pUSART, char *pBuffer, unsigned int szBuffer, char *pNextBuffer, unsigned int szNextBuffer);
unsigned int AT91F_US_ReceiveFrame(AT91PS_USART pUSART, char *pBuffer, unsigned int szBuffer, char *pNextBuffer, unsigned int szNextBuffer);
void AT91F_US_SetIrdaFilter(AT91PS_USART pUSART, unsigned char value);
void AT91F_MCI_Configure(AT91PS_MCI pMCI, unsigned int DTOR_register, unsigned int MR_register, unsigned int SDCR_register);
void AT91F_MCI_EnableIt(AT91PS_MCI pMCI, unsigned int flag);
void AT91F_MCI_DisableIt(AT91PS_MCI pMCI, unsigned int flag);
void AT91F_MCI_Enable_Interface(AT91PS_MCI pMCI);
void AT91F_MCI_Disable_Interface(AT91PS_MCI pMCI);
void AT91F_MCI_Cfg_ModeRegister(AT91PS_MCI pMCI, unsigned int mode_register);
unsigned int AT91F_AIC_ConfigureIt(AT91PS_AIC pAic, unsigned int irq_id, unsigned int priority, unsigned int src_type, void (*newHandler)(void));
void AT91F_AIC_EnableIt(AT91PS_AIC pAic, unsigned int irq_id);
void AT91F_AIC_DisableIt(AT91PS_AIC pAic, unsigned int irq_id);
void AT91F_AIC_ClearIt(AT91PS_AIC pAic, unsigned int irq_id);
void AT91F_AIC_AcknowledgeIt(AT91PS_AIC pAic);
unsigned int AT91F_AIC_SetExceptionVector(unsigned int *pVector, void (*Handler)(void));
void AT91F_AIC_Trig(AT91PS_AIC pAic, unsigned int irq_id);
unsigned int AT91F_AIC_IsActive(AT91PS_AIC pAic, unsigned int irq_id);
unsigned int AT91F_AIC_IsPending(AT91PS_AIC pAic, unsigned int irq_id);
void AT91F_AIC_Open(AT91PS_AIC pAic, void (*IrqHandler)(void), void (*FiqHandler)(void), void (*DefaultHandler)(void), void (*SpuriousHandler)(void), unsigned int protectMode);
void AT91F_UDP_EnableIt(AT91PS_UDP pUDP, unsigned int flag);
void AT91F_UDP_DisableIt(AT91PS_UDP pUDP, unsigned int flag);
void AT91F_UDP_SetAddress(AT91PS_UDP pUDP, unsigned char address);
void AT91F_UDP_EnableEp(AT91PS_UDP pUDP, unsigned int flag);
void AT91F_UDP_DisableEp(AT91PS_UDP pUDP, unsigned int flag);
void AT91F_UDP_SetState(AT91PS_UDP pUDP, unsigned int flag);
unsigned int AT91F_UDP_GetState(AT91PS_UDP pUDP);
void AT91F_UDP_ResetEp(AT91PS_UDP pUDP, unsigned int flag);
void AT91F_UDP_EpStall(AT91PS_UDP pUDP, unsigned char endpoint);
void AT91F_UDP_EpWrite(AT91PS_UDP pUDP, unsigned char endpoint, unsigned char value);
unsigned int AT91F_UDP_EpRead(AT91PS_UDP pUDP, unsigned char endpoint);
void AT91F_UDP_EpEndOfWr(AT91PS_UDP pUDP, unsigned char endpoint);
void AT91F_UDP_EpClear(AT91PS_UDP pUDP, unsigned char endpoint, unsigned int flag);
void AT91F_UDP_EpSet(AT91PS_UDP pUDP, unsigned char endpoint, unsigned int flag);
unsigned int AT91F_UDP_EpStatus(AT91PS_UDP pUDP, unsigned char endpoint);
unsigned int AT91F_UDP_GetInterruptMaskStatus(AT91PS_UDP pUdp);
int AT91F_UDP_IsInterruptMasked(AT91PS_UDP pUdp, unsigned int flag);
void AT91F_ST_SetPeriodInterval(AT91PS_ST pSt, unsigned int period);
void AT91F_ST_EnableIt(AT91PS_ST pSt, unsigned int flag);
void AT91F_ST_DisableIt(AT91PS_ST pSt, unsigned int flag);
unsigned int AT91F_ST_GetInterruptMaskStatus(AT91PS_ST pSt);
int AT91F_ST_IsInterruptMasked(AT91PS_ST pSt, unsigned int flag);
void AT91F_EBI_CfgPIO(void);
void AT91F_DBGU_CfgPMC(void);
void AT91F_DBGU_CfgPIO(void);
void AT91F_SYS_CfgPMC(void);
void AT91F_UHP_CfgPMC(void);
void AT91F_SDRC_CfgPIO(void);
void AT91F_EMAC_CfgPMC(void);
void AT91F_EMAC_CfgPIO(void);
void AT91F_RTC_CfgPMC(void);
void AT91F_SSC2_CfgPMC(void);
void AT91F_SSC2_CfgPIO(void);
void AT91F_SSC1_CfgPMC(void);
void AT91F_SSC1_CfgPIO(void);
void AT91F_SSC0_CfgPMC(void);
void AT91F_SPI_CfgPMC(void);
void AT91F_SPI_CfgPIO(void);
void AT91F_TC5_CfgPMC(void);
void AT91F_TC4_CfgPMC(void);
void AT91F_TC3_CfgPMC(void);
void AT91F_TC2_CfgPMC(void);
void AT91F_TC1_CfgPMC(void);
void AT91F_TC0_CfgPMC(void);
void AT91F_SMC2_CfgPIO(void);
void AT91F_PMC_CfgPMC(void);
void AT91F_PMC_CfgPIO(void);
void AT91F_PIOD_CfgPMC(void);
void AT91F_PIOC_CfgPMC(void);
void AT91F_PIOB_CfgPMC(void);
void AT91F_PIOA_CfgPMC(void);
void AT91F_TWI_CfgPMC(void);
void AT91F_TWI_CfgPIO(void);
void AT91F_US3_CfgPMC(void);
void AT91F_US2_CfgPMC(void);
void AT91F_US2_CfgPIO(void);
void AT91F_US1_CfgPMC(void);
void AT91F_US1_CfgPIO(void);
void AT91F_US0_CfgPMC(void);
void AT91F_US0_CfgPIO(void);
void AT91F_MCI_CfgPMC(void);
void AT91F_MCI_CfgPIO(void);
void AT91F_AIC_CfgPMC(void);
void AT91F_UDP_CfgPMC(void);
void AT91F_ST_CfgPMC(void);
